SPLITDIFF(1)

Name
splitdiff - separate out incremental patches

Synopsis

splitdiff [-a] [-d] [-p n] [file]

splitdiff {[--help] | [--version]}

Description

If you have a patch file composed of several incremental patches, you can use splitdiff to separate them out. You may want to do this in preparation for re-combining them with combinediff(1).

The effect of running splitdiff is to separate its input into a set of output files, with no output file patching the same file more than once.

Options

-a
    Split out every single file-level patch.

-d
    Create file names such as a_b.c for a patch that modifies a/b.c.

-p n
    Strip the first n components of the pathname to aid comparisons.

--help
    Display a short usage message.

--version
    Display the version number of splitdiff.

See also

combinediff(1), lsdiff(1)

Author

Tim Waugh <twaugh@redhat.com>
    Package maintainer